-- SPDX-License-Identifier: CC0-1.0

let Genode = env:DHALL_GENODE

let Prelude = Genode.Prelude

let Init = Genode.Init

let Child = Init.Child

let Config = Init.Config

in    λ(testBinary : Text)
    → Genode.Boot::{
      , config = Init::{
        , children = toMap
            { solo5 =
                Child.flat
                  Child.Attributes::{
                  , binary = testBinary
                  , exitPropagate = True
                  , resources = Init.Resources::{
                    , caps = 256
                    , ram = Genode.units.MiB 3
                    }
                  , config = Config::{
                    , content =
                      [ Prelude.XML.element
                          { name = "cmdline"
                          , attributes = Prelude.XML.emptyAttributes
                          , content = [ Prelude.XML.text "Hello_Solo5" ]
                          }
                      ]
                    }
                  , routes = [ Init.ServiceRoute.parent "Timer" ]
                  }
            }
        }
      }
